org.vertx.java.deploy.impl.rhino

## Class RhinoContextFactory

- java.lang.Object
- - org.mozilla.javascript.ContextFactory
  - - org.vertx.java.deploy.impl.rhino.RhinoContextFactory

    public class RhinoContextFactory
    extends org.mozilla.javascript.ContextFactory

We need to make sure any Java primitive types are passed into Rhino code as the corresponding JS types By default Rhino doesn't do this.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.mozilla.javascript.ContextFactory

`org.mozilla.javascript.ContextFactory.GlobalSetter, org.mozilla.javascript.ContextFactory.Listener`

### Constructor Summary

Constructors
Constructor and Description
`RhinoContextFactory()`

### Method Summary

Methods
`protected void` `onContextCreated(org.mozilla.javascript.Context cx)`

### Methods inherited from class org.mozilla.javascript.ContextFactory

`addListener, call, checkNotSealed, createClassLoader, doTopCall, enter, enterContext, enterContext, exit, getApplicationClassLoader, getE4xImplementationFactory, getGlobal, getGlobalSetter, hasExplicitGlobal, hasFeature, initApplicationClassLoader, initGlobal, isSealed, makeContext, observeInstructionCount, onContextReleased, removeListener, seal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RhinoContextFactory

    public RhinoContextFactory()

### Method Detail

#### onContextCreated

    protected void onContextCreated(org.mozilla.javascript.Context cx)

Overrides:
  `onContextCreated` in class `org.mozilla.javascript.ContextFactory`